%define coin_includedir %{_includedir}
%define coin_htmldir %{expand:%%(coin-config --datadir)/Coin3}

%define realname SoQt

Name: libSoQt
Summary: High-level 3D visualization library
Version: 1.5.0
Release: %mkrel 2
License: GPLv2
Group: System/Libraries
URL: http://www.coin3d.org
Source: ftp://ftp.coin3d.org/pub/coin/src/SoQt-%{version}.tar.xz
BuildRequires: doxygen
BuildRequires: glibc
BuildRequires: Coin3-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}xi-devel
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

%package devel
Summary: Development files for SoQt
Requires: %{name} = %{version}-%{release}
Requires: %{_datadir}/aclocal
Requires: Coin3-devel
Requires: %{_lib}qt4-devel
Requires: %{_lib}xi-devel
Group: Development/Libraries

%description devel
Development package for SoQt

%prep
%setup -q -n %{realname}-%{version}

sed -i \
 -e 's,^\(INPUT_FILTER.*=\).*$,\1 \"/usr/bin/iconv -f ISO-8859-1 -t utf-8\",' \
  src/Inventor/Qt/common/sogui.doxygen.in

%build
%configure2_5x \
	--includedir=%{coin_includedir} \
	--without-mesa \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	--enable-static=no \
	--with-qt=%{_libdir}/qt4 \
	htmldir=%{coin_htmldir}/SoQt \
	CPPFLAGS="${CPPFLAGS} -I%{_includedir}/Qt"
%make

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libSoQt.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog* COPYING README* LICENSE*
%{_libdir}/libSoQt.so.*

%files devel
%defattr(-, root, root)
%doc %{coin_htmldir}
%{_bindir}
%{coin_includedir}
%{_libdir}/pkgconfig
%{_libdir}/libSoQt.so
%{_datadir}/Coin/conf/soqt-default.cfg
%{_datadir}/aclocal/soqt.m4
%{_datadir}/man

%changelog
* Wed Oct 31 2012 gseaman <galen.seaman at comcast.net> 1.5.0-2gseaman2012
- build for 64-bit

* Fri Jun 06 2010 MBantz <martin dot bantz at gmail dot com> 1.5.0-1pclos2010
- Built for PCLinuxOS from corsepiu at fedoraproject dot org
